Package com.collibra.catalog.api.component.classification.dto

# Class GetClassificationMatchRequest

Object
GetClassificationMatchRequest

public class GetClassificationMatchRequest extends Object
Request to delete classification match.

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `GetClassificationMatchRequest.GetClassificationMatchRequestBuilder`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `GetClassificationMatchRequest()`
  `GetClassificationMatchRequest(UUID classificationMatchId)`
  Creates a new `GetClassificationMatchRequest` instance.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static GetClassificationMatchRequest.GetClassificationMatchRequestBuilder`
  `builder()`
  `protected boolean`
  `canEqual(Object other)`
  `boolean`
  `equals(Object o)`
  `UUID`
  `getClassificationMatchId()`
  The `id` of the classification match.
  `int`
  `hashCode()`
  `void`
  `setClassificationMatchId(UUID classificationMatchId)`
  The `id` of the classification match.
  `String`
  `toString()`

  ### Methods inherited from class Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### GetClassificationMatchRequest

    public GetClassificationMatchRequest(UUID classificationMatchId)
    Creates a new `GetClassificationMatchRequest` instance.
    Parameters:
      `classificationMatchId` - The `id` of the classification match.

  - ### GetClassificationMatchRequest

    public GetClassificationMatchRequest()

- ## Method Details

  - ### builder

    public static GetClassificationMatchRequest.GetClassificationMatchRequestBuilder builder()

  - ### getClassificationMatchId

    public UUID getClassificationMatchId()
    The `id` of the classification match.

  - ### setClassificationMatchId

    public void setClassificationMatchId(UUID classificationMatchId)
    The `id` of the classification match.

  - ### equals

    public boolean equals(Object o)
    Overrides:
      `equals` in class `Object`

  - ### canEqual

    protected boolean canEqual(Object other)

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`